package com.muyu.ruleengine.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.ruleengine.domain.Ruleengine;
import com.muyu.ruleengine.domain.req.RuleengineQueryReq;
import com.muyu.ruleengine.remote.factory.RuleEngineManagerFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 初始化加载 RemoteRuleEngineManagerService
 *
 * @author DeKangLiu
 * Date 2024/5/10 18:55
 */
@FeignClient(
        contextId = "RemoteRuleEngineManagerService",
        value = ServiceNameConstants.RULE_ENGINE_SERVICE,
        fallbackFactory = RuleEngineManagerFactory.class,
        path = "/ruleengine"
)
public interface RemoteRuleEngineManagerService {
    @PostMapping("/ruleEngineList")
    public Result<List<Ruleengine>> ruleEngineList(@RequestBody RuleengineQueryReq ruleengineQueryReq);
}
