package com.muyu.ruleengine.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.ruleengine.domain.Ruleengine;
import com.muyu.ruleengine.domain.req.RuleengineQueryReq;
import com.muyu.ruleengine.remote.RemoteRuleEngineManagerService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * 熔断 RuleEngineManagerFactory
 *
 * @author DeKangLiu
 * Date 2024/5/10 18:55
 */
public class RuleEngineManagerFactory implements FallbackFactory<RemoteRuleEngineManagerService> {
    @Override
    public RemoteRuleEngineManagerService create(Throwable cause) {
        return new RemoteRuleEngineManagerService() {

            @Override
            public Result<List<Ruleengine>> ruleEngineList(RuleengineQueryReq ruleengineQueryReq) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
